Subject: bug#70134: [PATCH] Show all date options when adding Gnus scores interactively

From: Alex Bochannek <[email-masked]>
Date: Tue, 14 May 2024 11:43:54 -0700

Eric,

Eric Abrahamsen <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>> Jakub,
>>
>> I see that your changes to gnus-score.el have been committed, but not
>> the one you proposed to gnus-util.el yet. Let me know if you need me to
>> test anything!
>
> The commit from February was a different issue in the same area --
> nothing from this bug report has been committed yet.

You are absolutely correct, of course, I mistook the log entry and
changes in that commit for what we are discussing here.

I have done some more testing with a fresh build and the most recent
patch works as Jakub intends. I would like to suggest to add a change to
(gnus) Summary Score Commands to include the new match types. Otherwise,
I believe this patch is good to go.

I don't think I have commit rights, by the way (usually larsi or eliz
did them for me), but I would be more than happy to do so if someone can
point me at instructions.

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index c5e4c885ccf..56f259db9a1 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -20093,6 +20093,9 @@ Summary Score Commands
 @item date
 @table @kbd
 
+@item r
+Regexp matching.
+
 @item b
 Before date.
 
@@ -20101,6 +20104,12 @@ Summary Score Commands
 
 @item n
 This date.
+
+@item <
+Less than days.
+
+@item >
+Greater than days.
 @end table
 
 @item number

-- 
Alex.